MAXScript Extensions > MAXScript Extensions for Particle Flow > Particle Flow Classes > Meta-Operators >

# DisplayData : Helper

    DisplayData - superclass: helper; super-superclass:node - 21:0 - classID: #(1935830030, 515064320)

Value > MAXWrapper > Node > Helper > DisplayData

| Particle Flow - Quick Navigation

Description:

NEW in 3ds Max 2014: The DisplayData operator shows numerical data created by Data operators.

Constructor:

    DisplayData...

Properties:

    <DisplayData>.Show_Numbering     BooleanClass    default: false   --  boolean

Get/set the state of the "Show Particle IDs" checkbox.

When set to True, the operator will display each particle's ID number before the displayed data. The ID number is followed by a > symbol to distinguish it from the data.

    <DisplayData>.Color     Color    default: (color 9 68 154)   --  RGB color

Get/set the value of the color used for data display.

A new color will be assigned to each new DisplayData operator to distinguish the different values in the viewport.

The colors are not fully random, they are assigned in the same pseudo-random pattern: (color 9 68 154), (color 98 222 251), (color 96 96 96), (color 196 29 29) ... in each 3ds Max session.

    <DisplayData>.Add_Prefix     BooleanClass    default: false   --  boolean

Get/set the state of the "Add Prefix" checkbox.

This property lets you add a custom Prefix specified by the .Prefix_Text property (see below).

    <DisplayData>.Prefix_Text     String    default: "Data"   --  string

Get/set the value of the Prefix text field.

The prefix is added between the ID (if shown) and the Data. It adds an offset between the Prefix and Data automatically.

## Show Data Channel group of controls

    <DisplayData>.Data_Channel     UndefinedClass    default: undefined   --  maxObject

Get/set the Data Channel object to display data from.

    <DisplayData>.Data_Handle     Integer    default: 0   --  integer

Get/set the Data Handle of the Data Channel.

    <DisplayData>.Real_Show_As     Integer    default: 1   --  integer

Get/set the selection of the "Show As" drop-down list displayed when the Data Channel Type is "Real".

Possible values are:

0 - Angle

1 - Float (default)

2 - Percent

3 - World Unit

    <DisplayData>.Vector_Show_As     Integer    default: 3   --  integer

Get/set the selection of the "Show As" drop-down list displayed when the Data Channel Type is "Vector".

Possible values are:

0 - Euler Angles

1 - Float Triplet

2 - Percent Triplet

3 - World Unit (default)

    <DisplayData>.Quaternion_Show_As     Integer    default: 0   --  integer

Get/set the selection of the "Show As" drop-down list displayed when the Data Channel Type is "Quaternion".

Possible values are:

0 - Axis/Angle (default)

1 - Euler Angles

2 - Quaternion

    <DisplayData>.Matrix_Show_As     Integer    default: 3   --  integer

Get/set the selection of the "Show As" drop-down list displayed when the Data Channel Type is "Matrix".

Possible values are:

0 - Vector X

1 - Vector Y

2 - Vector Z

3 - Translation (default)

    <DisplayData>.Pair_Show_As     Integer    default: 0   --  integer

Get/set the selection of the "Show As" drop-down list displayed when the Data Channel Type is "Pair".

Possible values are:

0 - Coordinates (default)

1 - Compound Index

2 - Object Index

3 - Face Index

    <DisplayData>.Complex_Show_As     Integer    default: 0   --  integer

Get/set the selection of the "Show As" drop-down list displayed when the Data Channel Type is "Complex".

Possible values are:

0 - Coordinates (default)

1 - Compound Index

2 - Object Index

3 - Face Index

4 - Time

    <DisplayData>.Rate_Value     BooleanClass    default: false   --  boolean

Get/set the state of the Rate Value checkbox available in the following cases:

Data Channel Type | "Show As" Setting | Rate Value Function
--- | --- | ---
Real | 0 - Angle | Spin Rate Value
Real | 3 - World Unit | Speed Value
Vector | 0 - Euler Angles | Spin Rate Value
Vector | 3 - World Unit | Speed Value
Quaternion | 0 - Axis/Angle | Spin Rate Value
Quaternion | 1 - Euler Angles | Spin Rate Value

    <DisplayData>.Units_Per_Type     Integer    default: 2   --  integer

Get/set the selection of the "Units Per" drop-down list.

When .Rate_Value is set to True, this property provides the time frame within which to calculate the Speed Value or Spin Rate Value.

Possible values are:

0 - Tick

1 - Frame

2 - Second (default)

## Screen Offset - pixels group of controls

The following properties can be used to adjust the positioning of the data display relative to the particle position, in pixels.

By using different offset values and several DisplayData operators, multiple data values can be shown at once without overlapping.

    <DisplayData>.Offset_LeftRight     Integer    default: 0   --  integer; Offset_Left_Right

Get/set the value of the "Left / Right" spinner.

    <DisplayData>.Offset_UpDown     Integer    default: 0   --  integer; Offset_Up_Down

Get/set the value of the "Up / Down" spinner.

    <DisplayData>.Offset_InOut     Integer    default: 0   --  integer; Offset_In_Out

Get/set the value of the "In / Out" spinner.

## Show IDs and Data on group of controls

    <DisplayData>.Filter_Type     Integer    default: 0   --  integer

Get/set the selection of the "Show IDs and Data on" drop-down list.

This properties filters the particles to display the ID and Data on.

Possible values are:

0 - All Particles - Displays data for all particles in the viewports.

1 - Selected Particles Only - Displays data only for selected particles.

2 - Group Selected Only - Displays data only for group-selected particles. Use the .Group_Selection property (see below) to specify the Group_Selection Operator to use.

    <DisplayData>.Group_Selection     UndefinedClass    default: undefined   --  node

Get/set the Group_Selection Operator to be used when .Filter_Type is set to 2 - Group Selected Only.

    <DisplayData>.Precision     Integer    default: 2   --  integer

Get/set the value of the "Precision" spinner.

For float values, this properties sets the number of decimal places displayed.

The range is from 0 to 8 (where 0 is no decimal places).

## Execution Order group of controls

    <DisplayData>.Execution_Order     Integer    default: 1   --  radiobtnIndex

Get/set the state of the "Execution Order" radio buttons.

Possible values are:

0 - Pre - Shows particle data values before any operator in the Event is executed.

1 - Normal (default) - The data are shown as of the current execution order of the operators. You can use two Display Data operators - above and below the Data Operator in question - to see how the Data Operator changes some data.

2 - Post - Data values will be shown after all the operators in the Event are executed.

## DisplayData Interfaces:

Interface: action

Interface: operator

Interface: PViewItem